<div [formGroup]="form">
  <h3>{{ "Economy.Currencies.SelectCurrency" | translate }}</h3>
  <nz-form-control nzErrorTip='{{ "Economy.Currencies.pleaseSelectCurrency" | translate }}'>
    <nz-input-group>
      <nz-select formControlName="currencyId" style="width: 100%" [required]>
        <nz-option
          *ngFor="let currency of currencies"
          [nzLabel]="currency.name | translate"
          [nzValue]="currency.id"
        ></nz-option>
      </nz-select>
    </nz-input-group>
  </nz-form-control>

  <h3>{{ "Economy.Currencies.EnterValue" | translate }}</h3>
  <nz-form-control nzErrorTip='{{ "Economy.Market.pleaseInputNumber" | translate }}'>
    <nz-input-group>
      <nz-input-number
        formControlName="amount"
        style="width: 100%"
        [nzMin]="1"
        nz-input
        [required]
      ></nz-input-number>
    </nz-input-group>
  </nz-form-control>

  <h3>{{ "Economy.Currencies.SelectNationalOrg" | translate }}</h3>
  <nz-form-control nzErrorTip='{{ "Economy.Currencies.pleaseSelectOrganisation" | translate }}'>
    <nz-input-group>
      <nz-select
        formControlName="nationalOrganizationId"
        style="width: 100%"
        [required]
      >
        <nz-option
          *ngFor="let organization of organizations"
          [nzLabel]="organization.name"
          [nzValue]="organization.id"
        >
        </nz-option>
      </nz-select>
    </nz-input-group>
  </nz-form-control>
</div>
